### Method

# Gimp Image get_color_profile

since: 2.10

#### Declaration [src]

    GimpColorProfile*
    gimp_image_get_color_profile (
      GimpImage* image
    )

#### Description [src]

This procedure returns the image’s color profile, or `NULL` if the image uses the built-in color profile.

See also `gimp_image_get_effective_color_profile()` if you want the effective color profile and don’t want to have to deal with `NULL` return values.

Available since: 2.10

#### Return value

Type: `GimpColorProfile`

The image’s color profile. The returned value must be freed with `g_object_unref()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.